# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft and contributors.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from .resource import Resource


class RelayServiceConnectionEntity(Resource):
    """
    Class that represents a Biztalk Hybrid Connection

    :param str id: Resource Id
    :param str name: Resource Name
    :param str location: Resource Location
    :param str type: Resource type
    :param dict tags: Resource tags
    :param str entity_name:
    :param str entity_connection_string:
    :param str resource_type:
    :param str resource_connection_string:
    :param str hostname:
    :param int port:
    :param str biztalk_uri:
    """

    _required = []

    _attribute_map = {
        'entity_name': {'key': 'properties.entityName', 'type': 'str', 'flatten': True},
        'entity_connection_string': {'key': 'properties.entityConnectionString', 'type': 'str', 'flatten': True},
        'resource_type': {'key': 'properties.resourceType', 'type': 'str', 'flatten': True},
        'resource_connection_string': {'key': 'properties.resourceConnectionString', 'type': 'str', 'flatten': True},
        'hostname': {'key': 'properties.hostname', 'type': 'str', 'flatten': True},
        'port': {'key': 'properties.port', 'type': 'int', 'flatten': True},
        'biztalk_uri': {'key': 'properties.biztalkUri', 'type': 'str', 'flatten': True},
    }

    def __init__(self, location, id=None, name=None, type=None, tags=None, entity_name=None, entity_connection_string=None, resource_type=None, resource_connection_string=None, hostname=None, port=None, biztalk_uri=None):
        super(RelayServiceConnectionEntity, self).__init__(id=id, name=name, location=location, type=type, tags=tags)
        self.entity_name = entity_name
        self.entity_connection_string = entity_connection_string
        self.resource_type = resource_type
        self.resource_connection_string = resource_connection_string
        self.hostname = hostname
        self.port = port
        self.biztalk_uri = biztalk_uri
