# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft and contributors.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from .resource import Resource


class Usage(Resource):
    """
    Class that represents usage of the quota resource.

    :param str id: Resource Id
    :param str name: Resource Name
    :param str location: Resource Location
    :param str type: Resource type
    :param dict tags: Resource tags
    :param str display_name: Friendly name shown in the UI
    :param str usage_name: Name of the quota
    :param str resource_name: Name of the quota resource
    :param str unit: Units of measurement for the quota resource
    :param long current_value: The current value of the resource counter
    :param long limit: The resource limit
    :param datetime next_reset_time: Next reset time for the resource counter
    :param str compute_mode: ComputeMode used for this usage. Possible values
     include: 'Shared', 'Dedicated'
    :param str site_mode: SiteMode used for this usage
    """

    _required = []

    _attribute_map = {
        'display_name': {'key': 'properties.displayName', 'type': 'str', 'flatten': True},
        'usage_name': {'key': 'properties.name', 'type': 'str', 'flatten': True},
        'resource_name': {'key': 'properties.resourceName', 'type': 'str', 'flatten': True},
        'unit': {'key': 'properties.unit', 'type': 'str', 'flatten': True},
        'current_value': {'key': 'properties.currentValue', 'type': 'long', 'flatten': True},
        'limit': {'key': 'properties.limit', 'type': 'long', 'flatten': True},
        'next_reset_time': {'key': 'properties.nextResetTime', 'type': 'iso-8601', 'flatten': True},
        'compute_mode': {'key': 'properties.computeMode', 'type': 'ComputeModeOptions', 'flatten': True},
        'site_mode': {'key': 'properties.siteMode', 'type': 'str', 'flatten': True},
    }

    def __init__(self, location, id=None, name=None, type=None, tags=None, display_name=None, usage_name=None, resource_name=None, unit=None, current_value=None, limit=None, next_reset_time=None, compute_mode=None, site_mode=None):
        super(Usage, self).__init__(id=id, name=name, location=location, type=type, tags=tags)
        self.display_name = display_name
        self.usage_name = usage_name
        self.resource_name = resource_name
        self.unit = unit
        self.current_value = current_value
        self.limit = limit
        self.next_reset_time = next_reset_time
        self.compute_mode = compute_mode
        self.site_mode = site_mode
