# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft and contributors.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from .resource import Resource


class VnetGateway(Resource):
    """
    The VnetGateway contract. This is used to give the vnet gateway access to
    the VPN package.

    :param str id: Resource Id
    :param str name: Resource Name
    :param str location: Resource Location
    :param str type: Resource type
    :param dict tags: Resource tags
    :param str vnet_name: The VNET name.
    :param str vpn_package_uri: The URI where the Vpn package can be
     downloaded
    """

    _required = []

    _attribute_map = {
        'vnet_name': {'key': 'properties.vnetName', 'type': 'str', 'flatten': True},
        'vpn_package_uri': {'key': 'properties.vpnPackageUri', 'type': 'str', 'flatten': True},
    }

    def __init__(self, location, id=None, name=None, type=None, tags=None, vnet_name=None, vpn_package_uri=None):
        super(VnetGateway, self).__init__(id=id, name=name, location=location, type=type, tags=tags)
        self.vnet_name = vnet_name
        self.vpn_package_uri = vpn_package_uri
