# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft and contributors.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from .resource import Resource


class VnetRoute(Resource):
    """
    VnetRoute contract used to pass routing information for a vnet.

    :param str id: Resource Id
    :param str name: Resource Name
    :param str location: Resource Location
    :param str type: Resource type
    :param dict tags: Resource tags
    :param str vnet_route_name: The name of this route. This is only returned
     by the server and does not need to be set by the client.
    :param str start_address: The starting address for this route. This may
     also include a CIDR notation, in which case the end address must not be
     specified.
    :param str end_address: The ending address for this route. If the start
     address is specified in CIDR notation, this must be omitted.
    :param str route_type: The type of route this is:
     DEFAULT - By default, every web app has routes to the local
     address ranges specified by RFC1918
     INHERITED - Routes inherited from the real Virtual Network
     routes
     STATIC - Static route set on the web app only
     These values will be used for syncing a Web App's routes with
     those from a Virtual Network. This operation will clear all DEFAULT and
     INHERITED routes and replace them
     with new INHERITED routes.
    """

    _required = []

    _attribute_map = {
        'vnet_route_name': {'key': 'properties.name', 'type': 'str', 'flatten': True},
        'start_address': {'key': 'properties.startAddress', 'type': 'str', 'flatten': True},
        'end_address': {'key': 'properties.endAddress', 'type': 'str', 'flatten': True},
        'route_type': {'key': 'properties.routeType', 'type': 'str', 'flatten': True},
    }

    def __init__(self, location, id=None, name=None, type=None, tags=None, vnet_route_name=None, start_address=None, end_address=None, route_type=None):
        super(VnetRoute, self).__init__(id=id, name=name, location=location, type=type, tags=tags)
        self.vnet_route_name = vnet_route_name
        self.start_address = start_address
        self.end_address = end_address
        self.route_type = route_type
